osmium::geos_geometry_error Struct Reference

`#include <geos.hpp>`

Inheritance diagram for osmium::geos_geometry_error:
[legend]
Collaboration diagram for osmium::geos_geometry_error:
[legend]

## Public Member Functions

| geos_geometry_error (const char *message)
Public Member Functions inherited from osmium::geometry_error
| geometry_error (const std::string &message, const char *object_type="", osmium::object_id_type id=0)
void | set_id (const char *object_type, osmium::object_id_type id)
osmium::object_id_type | id () const noexcept
const char * | what () const noexceptoverride

## Constructor & Destructor Documentation

osmium::geos_geometry_error::geos_geometry_error | ( | const char * | message | ) |

inline

The documentation for this struct was generated from the following file:

- osmium/geom/geos.hpp